Bug 588376 - Installation fails when french language selected
Installation fails when french language selected
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
i386 Linux
low Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 11:38 EDT by Frédéric Iffly
Modified: 2010-06-14 10:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 10:58:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart file and Bug report (18.96 KB, application/x-zip-compressed)
2010-05-03 11:38 EDT, Frédéric Iffly
no flags Details

  None (edit)
Description Frédéric Iffly 2010-05-03 11:38:13 EDT
Created attachment 411038 [details]
Kickstart file and Bug report

Description of problem:
I tried to install "RHEL6 beta" in french but it doesn't work. When I choose English it work's perfectly. See attachment for bug report.

How reproducible:
See the kickstart file in attachement
When use 'lang en_US.UTF-8' the installation works
When use 'lang fr_FR' the installation fails
Comment 2 RHEL Product and Program Management 2010-05-03 13:05:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Chris Lumens 2010-05-05 11:54:39 EDT
anaconda 13.21.20.5 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/scdate/core/zonetab.py", line 81, in <lambda>
    translated = reduce(lambda x, y: x.replace(y, "/"),
  File "/usr/lib/python2.6/site-packages/scdate/core/zonetab.py", line 83, in __translate_tz
    translated)
  File "/usr/lib/python2.6/site-packages/scdate/core/zonetab.py", line 105, in _set_tz
    self.__translate_tz()
  File "/usr/lib/python2.6/site-packages/scdate/core/zonetab.py", line 51, in __init__
    self.tz = tz.replace ('_', ' ')
  File "/usr/lib/python2.6/site-packages/scdate/core/zonetab.py", line 196, in readZoneTab
    entry = ZoneTabEntry (code, lat, long, tz, comments)
  File "/usr/lib/python2.6/site-packages/scdate/core/zonetab.py", line 131, in __init__
    self.readZoneTab (fn)
  File "/usr/lib/anaconda/kickstart.py", line 926, in execute
    tab = zonetab.ZoneTab()
  File "/usr/lib/anaconda/kickstart.py", line 1086, in execute
    obj.execute(self.anaconda)
  File "/usr/bin/anaconda", line 1035, in <module>
    ksdata.execute()
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 2: ordinal not in range(128)
Comment 5 Nils Philippsen 2010-06-10 10:43:01 EDT
This should work without a problem if Unicode/UTF-8 encoding ("lang fr_FR.UTF-8") is used. Using "lang fr_FR" probably uses an ISO-8859-X encoding (and I'm not sure we support these in anaconda).
Comment 8 Nils Philippsen 2010-06-14 10:58:30 EDT
I've talked to Ales Kozumplik (anaconda) over this: Anaconda doesn't support non-UTF-8 encoding, and current (post-beta) anaconda contains code which uses UTF-8 encoding if none is specified, thereby fixing this issue, so no fix is necessary in system-config-date.

Note You need to log in before you can comment on or make changes to this bug.